 <div class="container" style="margin: auto; width: 1000px;">
  <br>
    <div class="row">
      <div class="col-8" style="float: left;">
       <h2>Info settings</h2>
      </div>
      <div class="col-4">
        <button class="btn btn-primary" style="float: right;" title="Refresh your data from GitHub" [disabled]="inProgress" (click)="onRefresh()" >Refresh</button>
    </div>
  </div>
  <br>
  <div>
  <br>
  <form class="ui form" [formGroup]="userForm" (ngSubmit)="onFormSubmit()">
      
    <label>Name</label>
      <div class="col-9">
        <input type="text" name="username" formControlName="username" readonly/>
      </div>
      <div *ngIf="changeInfo">
        <p style="color: red; padding-top: 5px;">You can't change your username!</p>
      </div>
      <br>
      <br>  
      <label>Email</label>
      <div class="row">
        <div class="col-8">
          <input type="email" name="email" [readonly]="true" formControlName="email" >
        </div>
        <div class="col-4 ">
          <div class="form-check form-switch">
            <input class="form-check-input" type="checkbox" [disabled]="!changeInfo" id="checkEmail" (change)="onChangeCheckEmail()" title="Turn on if you want to show your email" [checked]="isEmailChecked" >
          </div>
        </div>
        <div *ngIf="changeInfo">
          <p style="color: red; padding-top: 5px;">You can't change your email!</p>
        </div>
      </div>
     
      <br>
      <br>
      <label>Location</label>
      <div class="row">
        <div class="col-8">
          <input type="text" name="location" [readonly]="!changeInfo"  formControlName="location" >
        </div>
        <div class="col-4 ">
          <div class="form-check form-switch">
            <input class="form-check-input" type="checkbox" [disabled]="!changeInfo" id="checkLocation" (change)="onChangeCheckLocation()" title="Turn on if you want to show your location" [checked]="isLocationChecked">
          </div>
        </div>
      </div>
     
      <br>
      <br>

      <label>Date Of Birth</label>
      <div class="row">
        <div class="col-8">
          <input type="date" name="dateOfBirth" [readonly]="!changeInfo" aria-placeholder="yyyy-MM-dd" value="{{dateString}}" formControlName="dateOfBirth" >
        </div>
        <div class="col-4 ">
          <div class="form-check form-switch">
            <input class="form-check-input" type="checkbox" id="checkDate"  [disabled]="!changeInfo" (change)="onChangeCheckDate()" title="Turn on if you want to show your date of birth" [checked]="isDateChecked">
          </div>
        </div>
      </div>

      <br>
      <br>
      <div [ngStyle]="{ display: changeInfo ? 'block' : 'none' }"> 
        <div *ngIf="changeInfo;else nista">
        
          <button type="submit" class="btn btn-primary" name="saveChanges">Save changes</button>
          <button type="button" class="btn btn-primary" name="cancelChanges" (click)="onCancelChanges()">Cancel changes</button>
        </div>
      <ng-template #nista></ng-template>
      </div>
  </form>
  </div>
  <br>
  <br>

  <div>
    <button type="button" class="btn btn-primary" name="changeInfo"  (click)="onChangeInfo()">Change Info</button>

    <button type="button" class="btn btn-primary" name="changePass" (click)="onChangePass()">Change password</button>
  </div>

  <div style="text-align: right;">
    <br>
    <button class="btn btn-primary" type="button" name="deleteButton" (click)="confirmDelete()">Delete account</button>
  </div>

  <br>
  <br>
  <div class="row" *ngIf="changePass">
    <form class="ui form" [formGroup]="passwordForm" (ngSubmit)="onSubmitPass()">
      <div class="col-5">
        <label>Old password</label>
      </div>
      <div class="col-5">
        <input type="password" name="oldPass" formControlName="oldPass">
      </div>
      <br>
      <div class="col-5">
        <label>New password</label>
      </div>
      <div class="col-5">
        <input type="password" name="newPass" formControlName="newPass">
      </div>
      <br>
      <button type="button" class="btn btn-primary" type="submit" name="submitPass" >Submit passwords</button>
      <button type="button" class="btn btn-primary" name="cancelPass" (click)="onCancelPass()">Cancel</button>
  </form>
  </div>
</div>
<div>
  <br>
</div>
